Bug 472629 - avr-gcc dies on binary constants
avr-gcc dies on binary constants
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: avr-gcc (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 23:10 EST by Steevithak
Modified: 2009-07-14 10:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:43:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steevithak 2008-11-21 23:10:28 EST
Description of problem:

The avr-gcc compiler provided for Fedora seems to be missing the binary constant patch. Normally avr-gcc accepts binary constants in the form 0b01100, however the Fedora avr-gcc dies with an error like this when encounter a binary constant:

 error: invalid suffix "b01100" on integer constant

The reason for this seems to be that the avr-gcc binary constant patch is missing from the Fedora build of avr-gcc.

Version-Release number of selected component (if applicable):

avr-gcc-4.1.2-6.fc9.i386

How reproducible:

fails 100% of the time

Steps to Reproduce:
1. try to compile code with a binary consant in it
2. compiler dies with error
3.
  
Actual results:

compiler dies with error

Expected results:

compiler compiles code

Additional info:

Here's a list of the patches the debian folks apply to build their avr-gcc, including the missing binary constant patch:

 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=420061
Comment 1 Bug Zapper 2009-06-09 23:20:04 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:43:54 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.